classdef test_SCDclass < SCDtest
  % test file for SCD interface class
  
  properties
    expcode = 1;
    shot = 65668;
  end
  
  methods(TestClassSetup)
    function setup(testCase)
      testCase.assumeFail('skipping while expcode containers not defined in SCDDS-core')
    end
  end
  
  methods(Test,TestTags={'unit'})
    function test_load(testCase)
      SCD.load(testCase.expcode);
    end
    
    function test_init(testCase)
      SCD.init(testCase.expcode,testCase.shot);
    end
  end
end